⭐ If you find Zipline useful, please consider giving it a star on Github! ⭐

/api/user/mfa/totp

Enable TOTP for your account by verifying a code for the provided secret.

POST/api/user/mfa/totp

Request Body

application/json

Response Body

application/json

application/json

{
  "id": "string",
  "username": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "role": "USER",
  "view": {
    "enabled": true,
    "align": "left",
    "showMimetype": true,
    "showTags": true,
    "showFolder": true,
    "content": "string",
    "embed": true,
    "embedMediaOnly": true,
    "embedTitle": "string",
    "embedDescription": "string",
    "embedColor": "string",
    "embedSiteName": "string"
  },
  "sessions": [
    {
      "id": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "ua": "string",
      "client": "string",
      "device": "string",
      "userId": "string"
    }
  ],
  "oauthProviders": [
    {
      "id": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "userId": "string",
      "provider": "DISCORD",
      "username": "string",
      "accessToken": "string",
      "refreshToken": "string",
      "oauthId": "string"
    }
  ],
  "totpSecret": "string",
  "passkeys": [
    {
      "id": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "lastUsed": "2019-08-24T14:15:22Z",
      "name": "string",
      "reg": null,
      "userId": "string"
    }
  ],
  "quota": {
    "id": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "filesQuota": "BY_BYTES",
    "maxBytes": "string",
    "maxFiles": 0,
    "maxUrls": 0,
    "userId": "string"
  },
  "avatar": "string",
  "password": "string",
  "token": "string"
}

{
  "error": "E1000: Invalid request schema",
  "code": 1000,
  "statusCode": 400
}